View Issue Details

IDProjectCategoryView StatusLast Update
0003141PartDesignBugpublic2018-01-05 21:58
ReporterSamAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformintel i7 laptopOSubuntuOS Versionlatest
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003141: Unexpected behaviour using pad to face on padded shape binder
DescriptionForum thread: [url=https://forum.freecadweb.org/viewtopic.php?f=3&t=23518]Bug? Mysterious over zealous pad to face[/url]

Pad extends far beyond expected face.
Steps To ReproduceRefer to attached file:

In body003, with sketch035 attached to either of the large flat faces of "pad matching lifter support"
Pad to dimension works as expected if "reversed"
Pad to selected, opposite, face gives an unexpected result. (Example attached)
Pad to first/last gives an error when clicking OK: "SketchBased: Up to face: No faces found in this direction"


By way of experiment, I tried to pocket the sketch. "Through all" looked correct, but other options ended badly.
Additional InformationOS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11616 (Git)
Build type: None
Branch: master
Hash: aba4338808178b508f3170237f205e0066a5b437
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedKingdom (en_GB)
TagsNo tags attached.

Relationships

related to 0002441 closedabdullah Doing a pad of a sketch "Up to face" fails 

Activities

Sam

2017-07-27 02:05

reporter  

1x x-end-motor-remade(1).fcstd (475,688 bytes)

Kunda1

2017-08-22 19:54

manager   ~0009994

Issue confirmed by normandc in the forum thread.

Sam

2017-08-26 21:23

reporter   ~0010011

Is it possible that https://github.com/FreeCAD/FreeCAD/pull/949 is related?

wmayer

2018-01-04 20:44

administrator   ~0010703

The issue can be easily reproduced with the model issue3141.fcstd.
* Open the file
* Edit Sketch001 resize the rectangle so that the circle is completely inside
* Close the sketch
=> on the opposite side a long cuboid will be created

* Edit the sketch again and resize the rectangle so that it intersects the circle
* Close the sketch
=> the cuboid disappears

wmayer

2018-01-04 20:45

administrator  

issue3141.FCStd (21,306 bytes)

wmayer

2018-01-04 22:41

administrator   ~0010704

The bug lies inside the function ProfileBased::getUpToFace that doesn't return an unlimited UpToFace (see line 428ff). This makes BRepFeat_MakePrism::Perform to create an unexpected prism.

wmayer

2018-01-05 18:37

administrator   ~0010709

https://github.com/FreeCAD/FreeCAD/commit/50c280fdb69f03c79b35a5202972c2f74028a627

Issue History

Date Modified Username Field Change
2017-07-27 02:05 Sam New Issue
2017-07-27 02:05 Sam File Added: 1x x-end-motor-remade(1).fcstd
2017-08-22 19:54 Kunda1 Status new => confirmed
2017-08-22 19:54 Kunda1 Note Added: 0009994
2017-08-26 21:23 Sam Note Added: 0010011
2017-09-25 09:48 wmayer Target Version => 0.17
2018-01-04 20:44 wmayer Note Added: 0010703
2018-01-04 20:45 wmayer File Added: issue3141.FCStd
2018-01-04 22:41 wmayer Note Added: 0010704
2018-01-05 18:37 wmayer Assigned To => wmayer
2018-01-05 18:37 wmayer Status confirmed => closed
2018-01-05 18:37 wmayer Resolution open => fixed
2018-01-05 18:37 wmayer Fixed in Version => 0.17
2018-01-05 18:37 wmayer Note Added: 0010709
2018-01-05 21:58 wmayer Relationship added related to 0002441